VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::vcenter::vm::hardware::adapter::ScsiTypes::CreateSpec Class Reference

The `Scsi.CreateSpec` class provides a specification for the configuration of a newly-created virtual SCSI adapter. More...

List of all members.

## Public Member Functions
| CreateSpec ()
| Creates a default new instance.
vmware.vcenter.vm.hardware.adapter.ScsiTypes.Type | Get_Type ()
| Adapter type.
void | SetType (vmware.vcenter.vm.hardware.adapter.ScsiTypes.Type type)
| Adapter type.
long | GetBus ()
| SCSI bus number.
void | SetBus (long?bus)
| SCSI bus number.
long | GetPciSlotNumber ()
| Address of the SCSI adapter on the PCI bus.
void | SetPciSlotNumber (long?pciSlotNumber)
| Address of the SCSI adapter on the PCI bus.
vmware.vcenter.vm.hardware.adapter.ScsiTypes.Sharing | GetSharing ()
| Bus sharing mode.
void | SetSharing (vmware.vcenter.vm.hardware.adapter.ScsiTypes.Sharing sharing)
| Bus sharing mode.
vmware.vapi.bindings.type.StructType | _GetType ()
vmware.vapi.data.StructValue | _GetDataValue ()
void | _Validate ()
bool | _HasTypeNameOf< T > ()
T | _ConvertTo< T > ()
override bool | Equals (object obj)
override int | GetHashCode ()
override string | ToString ()

## Detailed Description

The `Scsi.CreateSpec` class provides a specification for the configuration of a newly-created virtual SCSI adapter.

## Constructor & Destructor Documentation

vmware::vcenter::vm::hardware::adapter::ScsiTypes::CreateSpec::CreateSpec | ( |  | ) | `[inline]`

Creates a default new instance.

## Member Function Documentation

T vmware::vcenter::vm::hardware::adapter::ScsiTypes::CreateSpec::_ConvertTo< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

vmware.vapi.data.StructValue vmware::vcenter::vm::hardware::adapter::ScsiTypes::CreateSpec::_GetDataValue | ( |  | ) | `[inline]`

vmware.vapi.bindings.type.StructType vmware::vcenter::vm::hardware::adapter::ScsiTypes::CreateSpec::_GetType | ( |  | ) | `[inline]`

bool vmware::vcenter::vm::hardware::adapter::ScsiTypes::CreateSpec::_HasTypeNameOf< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

void vmware::vcenter::vm::hardware::adapter::ScsiTypes::CreateSpec::_Validate | ( |  | ) | `[inline]`

override bool vmware::vcenter::vm::hardware::adapter::ScsiTypes::CreateSpec::Equals | ( | object | obj | ) | `[inline]`

vmware.vcenter.vm.hardware.adapter.ScsiTypes.Type vmware::vcenter::vm::hardware::adapter::ScsiTypes::CreateSpec::Get_Type | ( |  | ) | `[inline]`

Adapter type.

long vmware::vcenter::vm::hardware::adapter::ScsiTypes::CreateSpec::GetBus | ( |  | ) | `[inline]`

SCSI bus number.

override int vmware::vcenter::vm::hardware::adapter::ScsiTypes::CreateSpec::GetHashCode | ( |  | ) | `[inline]`

long vmware::vcenter::vm::hardware::adapter::ScsiTypes::CreateSpec::GetPciSlotNumber | ( |  | ) | `[inline]`

Address of the SCSI adapter on the PCI bus.

If the PCI address is invalid, the server will change it when the VM is started or as the device is hot added.

vmware.vcenter.vm.hardware.adapter.ScsiTypes.Sharing vmware::vcenter::vm::hardware::adapter::ScsiTypes::CreateSpec::GetSharing | ( |  | ) | `[inline]`

Bus sharing mode.

void vmware::vcenter::vm::hardware::adapter::ScsiTypes::CreateSpec::SetBus | ( | long? | bus | ) | `[inline]`

SCSI bus number.

void vmware::vcenter::vm::hardware::adapter::ScsiTypes::CreateSpec::SetPciSlotNumber | ( | long? | pciSlotNumber | ) | `[inline]`

Address of the SCSI adapter on the PCI bus.

If the PCI address is invalid, the server will change it when the VM is started or as the device is hot added.

void vmware::vcenter::vm::hardware::adapter::ScsiTypes::CreateSpec::SetSharing | ( | vmware.vcenter.vm.hardware.adapter.ScsiTypes.Sharing | sharing | ) | `[inline]`

Bus sharing mode.

void vmware::vcenter::vm::hardware::adapter::ScsiTypes::CreateSpec::SetType | ( | vmware.vcenter.vm.hardware.adapter.ScsiTypes.Type | type | ) | `[inline]`

Adapter type.

override string vmware::vcenter::vm::hardware::adapter::ScsiTypes::CreateSpec::ToString | ( |  | ) | `[inline]`

The documentation for this class was generated from the following file:

- ScsiTypes.cs